Gentoo Archives: gentoo-perl

From: Michele Beltrame <admin@×××××××××.info>
To: gentoo-perl@l.g.o
Subject: [gentoo-perl] Catalyst installation using g-cpan
Date: Sun, 03 Jul 2005 14:50:09
Message-Id: 42C7FB21.6050803@talkblade.info
Hi all!

I installed Catalyst toolkit from CPAN using g-cpan. However, I has to
install the prerequisite modules by hand, as g-cpan didn't detect them.
This is the relevant part of the output of "g-cpan -i Catalyst":

-----
Checking if your kit is complete...
Looks good
 * ERROR: Prerequisite Module::Pluggable::Fast isn't installed
 * ERROR: Prerequisite Template isn't installed
 * ERROR: Prerequisite Class::Accessor::Fast isn't installed
 * ERROR: Prerequisite Tree::Simple::Visitor::FindByPath isn't installed
 * ERROR: Prerequisite Class::Data::Inheritable isn't installed
 * ERROR: Prerequisite Path::Class isn't installed
 * ERROR: Prerequisite Text::ASCIITable isn't installed
 * ERROR: Prerequisite UNIVERSAL::require isn't installed
 * ERROR: Prerequisite Tree::Simple isn't installed
ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the
-----

The module then goes on, g-cpan builds and install it. It however
doesn't really work until I install the prereuqisites.

Is this a problem in how Catalyst "announces" the missing prerequisites?

	Thanks, Michele.

-- 
Michele Beltrame
http://www.massainforme.it/mb/
ICQ# 76660101
-- 
gentoo-perl@g.o mailing list

Replies

Subject Author
Re: [gentoo-perl] Catalyst installation using g-cpan Michael Cummings <mcummings@g.o>